OpenCATS 0.9.4-3

Free, Open-Source Applicant Tracking System including job-board. Entirely customisable!

General discussion of OpenCATS

Moderators: RussH, cptr13

Forum rules: Just remember to play nicely once you walk through the door. You can disagree with us, or any other commenters in this forum, but keep comments directed to the topic at hand.
#3481
I am trying to install opencats 0.9.4 by following this link
http://opencats-documentation.readthedo ... ndows.html

installed wamp server 3.0.6 with
Win64
Apache 2.4.23
PHP 5.6.25

I am getting this error at "Set up OpenCATS" step

Query Error -- Report to System Administrator ASAP
MySQL Query Failed: Table 'opencats.module_schema' doesn't exist
SELECT
version AS version
FROM
module_schema
WHERE
name = 'activity'
#3567
Hi,

apologies if this reply is a little late - however that table shoudl be created during initial setup. It's certainly in the code;
https://github.com/opencats/OpenCATS/bl ... schema.sql

Can I ask you to try the installation without the demo data, i.e. a clean install - as I believe the demo deta mysql code may not have been updated to include this table.
#3781
I got the same error even if I have installed in 'db name'_schema.sql the mysql code :
/*Table structure for table `module_schema` */

CREATE TABLE `module_schema` (
`module_schema_id` int(11) NOT NULL AUTO_INCREMENT,
`name` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
`version` int(11) DEFAULT NULL,
PRIMARY KEY (`module_schema_id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `module_schema` */

insert into `module_schema`(`module_schema_id`,`name`,`version`) values (1,'activity',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (2,'attachments',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (3,'calendar',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (4,'candidates',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (5,'careers',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (6,'companies',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (7,'contacts',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (8,'export',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (9,'extension-statistics',1);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (10,'graphs',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (11,'home',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (12,'import',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (13,'install',363);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (14,'joborders',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (15,'lists',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (16,'login',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (17,'queue',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (18,'reports',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (19,'rss',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (20,'settings',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (21,'tests',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (22,'toolbar',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (23,'wizard',0);
insert into `module_schema`(`module_schema_id`,`name`,`version`) values (24,'xml',0);


So what can be the problem?
#3782
To further clarify the situation, I have configured the OpenCATS project with the default configuration:
/* Database configuration. */
define('DATABASE_USER', 'cats');
define('DATABASE_PASS', 'cats');
define('DATABASE_HOST', 'localhost');
define('DATABASE_NAME', 'cats_dev');
#3783
Okay,

lets take a few steps back and check the basics.

Can you confirm the version of opencats, mysql & php that you have?
The PHP support envelope and tested version of MariaDB is shown in the release notes https://github.com/opencats/OpenCATS/re ... ag/0.9.4-2

- you need to be compliant with this. Note that PHP v7 compatibility IS NOT in the current release.

If that's all clean - the first likely culprit is a crashed MySQL database.
#3786
afedan wrote: 09 Aug 2018, 18:10 Thank you RussH!
I have in fact used a php version that was not compatible with the OpenCats version! It was a php 4 version. Now I took the right version and it works fine!
No problem, glad it's working for you now!

you restarted apache, too? (Sorry - have to cover […]

test post

They do look a bit nicer now! Let me know if you f[…]

PHP.ini Issue on install

I see. By the way this is hosted server . I alre[…]

Hi ChrisP Hi Chrisp, Sphinx is the recommended fu[…]

You can run composer through some shared hosts. I[…]

OpenCats responsible?

By customizing your own template (css etc.) under […]

In the template adjustment there is the area "[…]

Just Installed

Hi JorgePHP, sorry a slight quirk with current v[…]

Make CV upload required

Hi, this code here https://github.com/opencats/O[…]

Unable to upload CVs

Hi sorry have taken a look at the thread, and yo[…]

After applying the fix that was recommended it app[…]

pooling of interview times

You're welcome!